<?php
/**
 * Created by PhpStorm.
 * User: hp
 * Date: 2017/12/2
 * Time: 15:56
 */
namespace App\Modules\Manage\Services;

use App\Modules\Manage\Models\Manage;

class ManageService
{


    /**
     * 根据账号获取
     * @return mixed
     */
    static function getByAccount($account){
        return Manage::getByAccount($account);
    }

    /**
     * 根据渠道id获取
     * @return mixed
     */
    static function getById($id){
        return Manage::getById($id);
    }

    /**
     * 修改渠道密码
     * @param  string $phone    手机号码
     * @param  string $password 加密后密码
     * @return boolen           
     */
    static function modifyPassword($phone, $password)
    {
        return Manage::modifyPassword($phone, $password);
    }

    static  function getBusinesserByNumber($number)
    {
        return Manage::getBusinesserByNumber($number);
    }


    /**
     * 获取商务列表
     * @param $params[]
     *                  search_name: 搜索名称 可选
     *                  start_date:开始时间 可选
     *                  end_date:结束时间 可选
     *                  is_enabled: 0:不可用； 1:可用
     * @param $isAll
     * @return mixed
     */
    public static function getBusinessManageList($params=[], $isAll = false) {
        return Manage::getBusinessManageList($params, $isAll);
    }
}